Get an installer

​

Read one installer visible through the caller’s teams or installer:view_all. Credentials and internal settings are never returned. Save the ETag before updating or deleting it.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/external/v2/installers/{installerId}
curl https://sales-api.artemis.solar/external/v2/installers/123e4567-e89b-12d3-a456-426614174000 \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
Installer public configuration
{
  "data": {
    "id": "f7b7db62-29bf-4e70-bf73-a9221674f12a",
    "name": "Example Solar",
    "slug": "example-solar",
    "website": "https://example.com",
    "brandColor": "#5BB59F",
    "address": "123 Main St",
    "city": "Pleasanton",
    "state": "CA",
    "zipcode": "94566",
    "countryCode": "US",
    "companyEmail": "operations@example.com",
    "companyPhone": "+14155550125",
    "logoImageUrl": null,
    "createdAt": "2026-09-05T12:00:00.000Z",
    "updatedAt": "2026-09-05T12:00:00.000Z"
  }
}